Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.DRMSecurityHandler Class Reference
Inheritance diagram for com.foxit.sdk.pdf.DRMSecurityHandler:

## Public Member Functions
| DRMSecurityHandler ()
| Constructor function.
| DRMSecurityHandler (SecurityHandler other)
| Constructor, with parent class object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
String | getDRMValue (String key) throws com.foxit.sdk.PDFException
| Get the DRM value for a specified parameter. More...
boolean | initialize (DRMEncryptData encrypt_data, String file_id, String initial_key) throws com.foxit.sdk.PDFException
| Initialize current DRM security handler. More...
boolean | setDRMValue (String key, String value) throws com.foxit.sdk.PDFException
| Set the DRM value for a specified parameter. More...
boolean | verifyEncryptionParams () throws com.foxit.sdk.PDFException
| Verify encryption parameters. More...
Public Member Functions inherited from com.foxit.sdk.pdf.SecurityHandler
| SecurityHandler ()
| Constructor.
| SecurityHandler (SecurityHandler other)
| Constructor, with another security handler object. More...
int | getSecurityType ()
| Get the encryption type of current security handler. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...

## Additional Inherited Members
Static Public Attributes inherited from com.foxit.sdk.pdf.SecurityHandler
static final int | e_CipherAES = 2
| Use AES encryption algorithm, with the key length be 16 bytes (as AES-128) or 32 bytes (as AES-256, only supported in PDF 2.0).
static final int | e_CipherNone = 0
| Not use encryption algorithm.
static final int | e_CipherRC4 = 1
| Use RC4 encryption algorithm, with the key length between 5 bytes and 16 bytes.

## Detailed Description

This class represents a Foxit DRM(Digital Right Management) security handler, used for Foxit DRM encryption.

See also
  SecurityHandler

## Constructor & Destructor Documentation

## ◆ DRMSecurityHandler()

com.foxit.sdk.pdf.DRMSecurityHandler.DRMSecurityHandler | ( | SecurityHandler | other | ) |

Constructor, with parent class object.

Parameters

  [in] | other | Parent class object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.DRMSecurityHandler.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

Reimplemented from com.foxit.sdk.pdf.SecurityHandler.

## ◆ getDRMValue()

String com.foxit.sdk.pdf.DRMSecurityHandler.getDRMValue | ( | String | key | ) | throws com.foxit.sdk.PDFException

Get the DRM value for a specified parameter.

Parameters

  [in] | key | A parameter string as the key name. It should not be an empty string. Followings are pre-defined key names: Issuer: issuer name. Creator: creator of this file. FileID: file ID. FlowCode: flow code for application control. Order: order number. User: user name. ServiceURL: service URL for remote server. Vender: vender name.

Returns
  The value string for a specified parameter.

## ◆ initialize()

boolean com.foxit.sdk.pdf.DRMSecurityHandler.initialize | ( | DRMEncryptData | encrypt_data,
|  | String | file_id,
|  | String | initial_key
| ) |  | throws com.foxit.sdk.PDFException

Initialize current DRM security handler.

Parameters

  [in] | encrypt_data | A certificate encrypt data object. In the encryption data, cipher type should not be com.foxit.sdk.pdf.SecurityHandler.e_CipherNone .
  [in] | file_id | The file identity string.
  [in] | initial_key | The user specified initial key for encryption.

Returns
  true means success, while false means failure.

## ◆ setDRMValue()

boolean com.foxit.sdk.pdf.DRMSecurityHandler.setDRMValue | ( | String | key,
|  | String | value
| ) |  | throws com.foxit.sdk.PDFException

Set the DRM value for a specified parameter.

Parameters

  [in] | key | A parameter string as the key name. It should not be an empty string. Followings are pre-defined key names: Issuer: issuer name. Creator: creator of this file. FileID: file ID. FlowCode: flow code for application control. Order: order number. User: user name. ServiceURL: service URL for remote server. Vender: vender name.
  [in] | value | New value string for specified parameter.

Returns
  true means success, while false means failure.

## ◆ verifyEncryptionParams()

boolean com.foxit.sdk.pdf.DRMSecurityHandler.verifyEncryptionParams | ( |  | ) | throws com.foxit.sdk.PDFException

Verify encryption parameters.

Foxit DRM maintains a set of encryption parameters for application purpose. Encryption parameters are stored in PDF file and protected by verification algorithm. So application can call this function to verify a DRM encrypted PDF document. If the verification is failed, that means the PDF document might be distorted.

Returns
  true means the verification is successful, while false means the verification is failed.